Pregunta sobre Best Image Gallery & Responsive Photo Gallery - FooGallery de Wordpress:

¡Alerta de generación de miniaturas!

Un usuario preguntó 👇

Hola personal de soporte,

Después de instalar el plugin, aparece este mensaje en la parte superior de la página de galerías (administrador)

¡Alerta de generación de miniaturas! Hay un problema al generar miniaturas para tu galería. Compruebe que la extensión de la biblioteca de imágenes GD esté instalada y habilitada por su proveedor de alojamiento. Si no se pueden generar miniaturas, se utilizarán en su lugar imágenes no copiadas a tamaño completo. A veces, esto puede provocar que la página se cargue lentamente y que las miniaturas no se vean bien.

Ya me comuniqué con mi empresa de alojamiento y les pedí que lo revisaran. Se ha dicho que la extensión GD Image Library está 100% instalada y habilitada. ¿Tiene alguna idea de lo que podría ser un problema?

Gracias, todo lo mejor en Nin0

(@ nin0)

Hace 2 años, 2 meses

Hola, solo pregunta si puedo obtener ayuda aquí.

(@bradvin)

Hace 2 años, 2 meses

Hey Nin0 – ¿a través de quién recibiste? Esto puede ser un problema de permisos porque la prueba se realiza en una imagen dentro de la carpeta del plugin.

(@phillcoxon)

Hace 2 años, 1 mes

Hola @ nin0,

No hemos recibido respuesta suya y asumiremos que ha resuelto este problema y podemos marcar esta solicitud de soporte como resuelta.

Si tiene más preguntas relacionadas con esta pregunta, responda y háganoslo saber.

(@ nin0)

Hace 2 años, 1 mes

Hola,

Aún no está arreglado. Revisé los permisos en mi sitio y están configurados correctamente. Me he puesto en contacto con mi anfitrión y dicen que todas las configuraciones están en su lado derecho y podría ser un problema con el plugin. Me dieron estas configuraciones Versión PHP: 7.2.12 PHP GD: Cargado (V2) PHP Abierto SSL: Carpeta PHP HTTP Cargado: Carpeta PHP HTTPS encontrado: Error de coincidencia HTTPS: Ninguno Configuración PHP[allow_url_fopen] : 1 Configuración PHP[allow_url_include] : 1

Entonces no estoy seguro de cómo resolver este problema.

(@phillcoxon)

Hace 2 años, 1 mes

Gracias por responder. No hemos tenido ningún otro informe sobre este problema que yo sepa, por lo que parece que puede estar relacionado con su alojamiento web.

¿Ha enviado un correo electrónico a [email protected] e incluido la URL para incluir este ticket de soporte?

https://wordpress.org/support/topic/thumbnail-generation-alert-3

Luego trabajaré directamente con usted para ver si podemos identificar lo que está sucediendo y resolverlo por usted.

(@bradvin)

Hace 2 años, 1 mes

Hola, la próxima versión que se lanzará muy pronto cambiará la generación de miniaturas para usar una imagen de la biblioteca de medios en lugar de la imagen en el plugin, para tratar de reducir este error de la visualización

(@kathycac)

Hace 2 años, 1 mes

Hola, también recibí este mismo error y estoy en Hosting Pressable. Dijeron que la forma en que el plugin afirma que un archivo en particular no es compatible con su plataforma. Me solucionaron el error cambiando la función en wpthumb.php online 85.

Ellos cambian esto:

private static function get_home_path() {
return str_replace( str_replace( home_url(), '', site_url() ), '', ABSPATH );
}

Para hacer esto:

private static function get_home_path() {
return str_replace( 'wp-content', '', WP_CONTENT_DIR);
}

Espero que esto sea útil.

(@kpersson)

Hace 2 años, 1 mes

Tengo el mismo problema. Tengo GD completamente instalado y funcionando, pero también recibo este error. Intenté lo anterior y no me solucionó. También me aseguré de que los permisos de carga estuvieran configurados correctamente. A continuación se muestra la información de mi sistema.

FooGallery Versión: 1.6.7 Versión de WordPress: 4.9.8 Tema de activación: Tema de editor de WordPress para niños URL: https: //www.omitado. Versión PHP: 7.0.33 PHP GD: Cargado (V2) PHP Abierto SSL: PHP Carpeta HTTP Cargada: Carpeta PHP encontrada HTTPS: No coinciden HTTPS Encontrado: Ninguno Configuración PHP[allow_url_fopen] : 1 Configuración PHP[allow_url_include] : 1 Extensiones de punto final: https://raw.githubusercontent.com/fooplugins/foogallery-extensions/master/extensions.json?v=n7r0GccMICVu
Errores de extensiones: No, todas buenas Extensiones: Extensiones activas: Editar (
[0] => plantillas_predeterminadas
[1] => caja de luz foobox-image-light
[2] => álbum
[3] => foobox)

Plantillas de galería: Editar (
[0] => predeterminado
[1] => visor de imágenes
[2] => autor
[3] => mampostería
[4] => simple_portfolio
[5] => modelo)

Cajas de luz: Matriz (
[foobox] => FooBox
[dfactory] => Caja de luz receptiva con dFactory)

Configuración: Editar ()

Plugins activos: Editar (
[0] => foogallery / foogallery.php
[1] => selector-fecha-hora-campo-acf / selector-fecha-hora-acf.php
[2] => repetidor-acf / repetidor-acf.php
[3] => admin-menu-editor / menu-editor.php
[4] => Campos-personalizados-avanzados-pro / acf.php
[5] => amr-shortcode-any-widget / amr-shortcode-any-widget.php
[6] => calendar-widget-archives / calendar-archives.php
[7] => actualizaciones de plugins específicos de bloques / actualizaciones de plugins específicos de bloques.php
[8] => cms-tree-page-view / index.php
[9] => archivos-compactos / compact.php
[10] => menús condicionales / init.php
[11] => formulario-de-contacto-7-honeypot / honeypot.php
[12] => formulario-de-contacto-7 / wp-formulario-de-contacto-7.php
[13] => barras laterales conscientes del contenido / barras laterales conscientes del contenido.php
[14] => widget de texto mejorado / widget de texto mejorado.php
[15] => administrador-de-eventos / administrador-de-eventos.php
[16] => feedzy-rss-feeds / feedzy-rss-feed.php
[17] => foobox-image-lightbox / foobox-free.php
[18] => js_composer / js_composer.php
[19] => hoja-mapas-marcador-pro / hoja-mapas-marcador.php
[20] => mailchimp-para-wp / mailchimp-para-wp.php
[21] => mc4wp-premium / mc4wp-premium.php
[22] => mp3-jplayer / mp3jplayer.php
[23] => caja responsive-light / responsive-lightbox.php
[24] => grupos de etiquetas premium / grupos de etiquetas premium.php
[25] => tipos / wpcf.php
[26] => wp-miniaudioplayer / miniAudioPlayer.php
[27] => wp-polls / wp-polls.php)

(@kpersson)

Hace 2 años, 1 mes

Pude resolver mi problema yendo a la configuración, imágenes, Ejecutar pruebas, volvió a verde y bueno, luego hice clic en Guardar configuración y el error GD desapareció.

(@ nin0)

Hace 2 años, 1 mes

No estoy seguro de si esto resolverá los problemas de todos, pero en mi caso fue suficiente para borrar el caché. FooGallery / Settings y presionando los botones de borrar caché.

¡Gracias de nuevo, Phill, por este consejo! Todo lo mejor

(@akirastudio)

Hace 2 años, 1 mes

También tengo el mismo problema y no puedo resolverlo, también confirmé que tengo instalada la biblioteca GD y que también se borraron todos los cachés.

Cuando ejecuté los tets en la galería foo encontré:

¡La prueba de generación de miniaturas falló! Rud (WP_Error) # 3919 (2) { [“errors”]=> editar (1) { [“invalid_image”]=> editar (1) { [0]=> string (21) «El archivo no es una imagen». }} [“error_data”]=> editar (1) { [“invalid_image”]=> cadena (82) «http://customconcept.ca/wp-content/uploads/2018/06/CUSTOMCONCEPT_LOGO_FULL-web.png ”; }} editar (2) { [“ext”]=> cadena (3) «png» [“type”]=> cadena (9) «imagen / png»}

Por favor ayuda

Esta respuesta fue modificada hace 2 años, hace un mes por.

(@hostnet)

Hace 2 años, 1 mes

También tengo el mismo problema con el mensaje de error similar y la publicación anterior

Proporcione una solución

Gracias,

(@brucerawles)

Hace 1 año, 11 meses

Tengo un problema similar; Llamé al soporte de WP Engine y confirmaron que GD Library está realmente instalada (versión 2.2.5 de GD library) … Curiosamente, la prueba de generación de modelos falla en LIVE, pero continúa en la versión STAGING del sitio, ejecutando la misma versión de FooGallery. ¿Podría la CDN (CloudFlare) tener algo que ver con esto? No puedo pensar en muchos otros que sean diferentes. Intenté borrar los cachés HTML y CSS en la pestaña Configuración de FooGallery> General, pero ninguno de ellos ayudó. EN VIVO: ¡Falló la prueba de generación de miniaturas! Rud (WP_Error) # 2660 (2) { [“errors”]=> editar (1) { [“file-not-found”]=> editar (1) { [0]=> cadena (0) “”}} [“error_data”]=> editar (0) {}} editar (2) { [“ext”]=> alambre (3) «jpg» [“type”]=> string (10) “image / jpeg”} Prueba para ver si FooGallery puede generar las miniaturas que necesita. ESCENARIO: Las pruebas de generación de miniaturas funcionaron bien. Pruebe para ver si FooGallery puede generar las miniaturas que necesita.

Por favor avise. ¡Gracias! 🙂

(@bradvin)

Hace 1 año, 11 meses

@brucerawles: intente habilitar FooGallery «Anular prueba de pulgar» en la pestaña avanzada

(@brucerawles)

Hace 1 año, 11 meses

Gracias por esa sugerencia. No lo intenté … sin cambios (todavía aparece el mismo error «Alerta de generación de miniaturas»; así que borré la caché del navegador (Chrome), eliminé la caché de optimización automática y probé los cambios para Configuración de FooGallery> Avanzado> Anular Superar un Casilla de verificación de prueba de miniaturas de nuevo … Sigue buscando el error … ¿Alguna sugerencia adicional? … ¡Gracias de antemano!

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *